aboutsummaryrefslogtreecommitdiff
path: root/cmake
diff options
context:
space:
mode:
Diffstat (limited to 'cmake')
-rwxr-xr-xcmake/build_debug.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/cmake/build_debug.sh b/cmake/build_debug.sh
new file mode 100755
index 0000000..45dceeb
--- /dev/null
+++ b/cmake/build_debug.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+scriptpath="$(dirname "$0")"
+mkdir -p "$scriptpath/build/debug"
+cd "$scriptpath/build/debug"
+cmake -G Ninja -DCMAKE_BUILD_TYPE=Debug ../../../
+ninja
+echo "Debug build success"